---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/bg_layers/"
---------------------------------------------------------------------------------------
createComposition5 = nil
createCompositionderevo1 = nil
createCompositionderevo2 = nil
createCompositionkust = nil
createCompositionRain = nil
---------------------------------------------------------------------------------------
createComposition5 = function()
	local composition5 = CreateCompositionSequence()
	local compositionDuration = 8
	composition5:setDuration(compositionDuration)
	composition5:setName("composition5" )
	--composition5:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Rain/1
	element = createCompositionRain()
	element:setName("Rain/1")
	composition5:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition5)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer kust/2
	element = createCompositionkust()
	element:setName("kust/2")
	composition5:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition5)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer derevo1/3
	element = createCompositionderevo1()
	element:setName("derevo1/3")
	composition5:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition5)
	element:setXY(733, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer derevo2/4
	element = createCompositionderevo2()
	element:setName("derevo2/4")
	composition5:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition5)
	element:setXY(633, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	composition5:play()
 
	return composition5
end
 
createCompositionderevo1 = function()
	local compositionderevo1 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionderevo1:setDuration(compositionDuration)
	compositionderevo1:setName("compositionderevo1" )
	compositionderevo1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer layer_derevo1_1.png/1
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo1_1.png")
	element:setName("layer_derevo1_1.png/1")
	compositionderevo1:addElement(element)
	element:setHotSpot(225.5, 0)
	element:setParentElement(compositionderevo1)
	element:setXY(1375.5, -8)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0.02880368492137)
	effector:setKey(_TRACK_A, 0.125, 0.02402384340704)
	effector:setKey(_TRACK_A, 0.25, 0.01897555526091)
	effector:setKey(_TRACK_A, 2.875, -0.0174532925)
	effector:setKey(_TRACK_A, 6.5, 0.04990665549449)
	effector:setKey(_TRACK_A, 6.70833333333333, 0.05200206845748)
	effector:setKey(_TRACK_A, 6.83333333333333, 0.0523598775)
	effector:setKey(_TRACK_A, 6.95833333333333, 0.05200940549296)
	effector:setKey(_TRACK_A, 7.125, 0.05050588335188)
	effector:setKey(_TRACK_A, 7.625, 0.03989726985007)
	effector:setKey(_TRACK_A, 7.79166666666667, 0.03468189298338)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.02880368492137)
	effector:play()
 
 
	-- Layer layer_derevo1_3.png/2
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo1_3.png")
	element:setName("layer_derevo1_3.png/2")
	compositionderevo1:addElement(element)
	element:setHotSpot(99.5, 186)
	element:setParentElement(compositionderevo1)
	element:setXY(1370.5, 284)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.125, 0.00020446230998)
	effector:setKey(_TRACK_A, 0.25, 0.00080026108272)
	effector:setKey(_TRACK_A, 3.66666666666667, 0.06873190556068)
	effector:setKey(_TRACK_A, 3.79166666666667, 0.06945228710188)
	effector:setKey(_TRACK_A, 3.95833333333333, 0.06981317)
	effector:setKey(_TRACK_A, 4.125, 0.0694596600185)
	effector:setKey(_TRACK_A, 4.29166666666667, 0.06843953121798)
	effector:setKey(_TRACK_A, 7.66666666666667, 0.00105942522388)
	effector:setKey(_TRACK_A, 7.83333333333333, 0.00020026971738)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer layer_derevo1_2.png/3
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo1_2.png")
	element:setName("layer_derevo1_2.png/3")
	compositionderevo1:addElement(element)
	element:setHotSpot(129, 131)
	compositionderevo1:registerParentInfo("layer_derevo1_2.png/3", "layer_derevo1_3.png/2")
	element:setXY(46, 106)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.034906585)
	effector:setKey(_TRACK_A, 0.125, -0.03454120611548)
	effector:setKey(_TRACK_A, 0.25, -0.03347684154154)
	effector:setKey(_TRACK_A, 3.66666666666667, 0.08583671904154)
	effector:setKey(_TRACK_A, 3.83333333333333, 0.08710289514092)
	effector:setKey(_TRACK_A, 3.91666666666667, 0.0872664625)
	effector:setKey(_TRACK_A, 4.04166666666667, 0.0869231041751)
	effector:setKey(_TRACK_A, 4.20833333333333, 0.0854495414347)
	effector:setKey(_TRACK_A, 7.66666666666667, -0.03308966393486)
	effector:setKey(_TRACK_A, 7.83333333333333, -0.03456322667511)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.034906585)
	effector:play()
 
	compositionderevo1:play()
 
	return compositionderevo1
end
 
createCompositionderevo2 = function()
	local compositionderevo2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionderevo2:setDuration(compositionDuration)
	compositionderevo2:setName("compositionderevo2" )
	compositionderevo2:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer layer_derevo2_2.png/1
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo2_2.png")
	element:setName("layer_derevo2_2.png/1")
	compositionderevo2:addElement(element)
	element:setHotSpot(25.5, 21)
	element:setParentElement(compositionderevo2)
	element:setXY(23.5, 19)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer layer_derevo2_1.png/2
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo2_1.png")
	element:setName("layer_derevo2_1.png/2")
	compositionderevo2:addElement(element)
	element:setHotSpot(-1.5, 83.5)
	element:setParentElement(compositionderevo2)
	element:setXY(-12.5, 87.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.03691131556185)
	effector:setKey(_TRACK_A, 2.5, 0.01295726785382)
	effector:setKey(_TRACK_A, 3.125, 0.01823544911081)
	effector:setKey(_TRACK_A, 3.25, 0.01842839236498)
	effector:setKey(_TRACK_A, 3.5, 0.01651005772468)
	effector:setKey(_TRACK_A, 3.75, 0.01123463749692)
	effector:setKey(_TRACK_A, 5.5, -0.05926415934931)
	effector:setKey(_TRACK_A, 5.83333333333333, -0.06691973549492)
	effector:setKey(_TRACK_A, 6.08333333333333, -0.06883807013502)
	effector:setKey(_TRACK_A, 6.33333333333333, -0.06766028882227)
	effector:setKey(_TRACK_A, 6.70833333333333, -0.06289248138623)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.03691131556185)
	effector:play()
 
 
	-- Layer layer_derevo2_3.png/3
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo2_3.png")
	element:setName("layer_derevo2_3.png/3")
	compositionderevo2:addElement(element)
	element:setHotSpot(6.5, 24.5)
	element:setParentElement(compositionderevo2)
	element:setXY(-3.5, 12.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.125, -0.00025033714665)
	effector:setKey(_TRACK_A, 0.25, -0.00098004329582)
	effector:setKey(_TRACK_A, 3.75, -0.0862864192043)
	effector:setKey(_TRACK_A, 3.875, -0.08701612535332)
	effector:setKey(_TRACK_A, 4, -0.0872664625)
	effector:setKey(_TRACK_A, 4.125, -0.08701088461253)
	effector:setKey(_TRACK_A, 4.25, -0.0862661361466)
	effector:setKey(_TRACK_A, 7.625, -0.00175230143226)
	effector:setKey(_TRACK_A, 7.79166666666667, -0.00045110362266)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer layer_derevo2_4.png/4
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo2_4.png")
	element:setName("layer_derevo2_4.png/4")
	compositionderevo2:addElement(element)
	element:setHotSpot(8, 96.5)
	element:setParentElement(compositionderevo2)
	element:setXY(-1, 157.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.00727220520833)
	effector:setKey(_TRACK_A, 0.91666666666667, -0.03250874388014)
	effector:setKey(_TRACK_A, 1.04166666666667, -0.03422623897125)
	effector:setKey(_TRACK_A, 1.16666666666667, -0.034906585)
	effector:setKey(_TRACK_A, 1.29166666666667, -0.03470212269002)
	effector:setKey(_TRACK_A, 1.41666666666667, -0.03410632391728)
	effector:setKey(_TRACK_A, 4.875, 0.03410632391737)
	effector:setKey(_TRACK_A, 5, 0.03470212269001)
	effector:setKey(_TRACK_A, 5.125, 0.034906585)
	effector:setKey(_TRACK_A, 5.25, 0.03471468731554)
	effector:setKey(_TRACK_A, 5.375, 0.03418466583613)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.00727220520833)
	effector:play()
 
	compositionderevo2:play()
 
	return compositionderevo2
end
 
createCompositionkust = function()
	local compositionkust = CreateCompositionSequence()
	local compositionDuration = 8
	compositionkust:setDuration(compositionDuration)
	compositionkust:setName("compositionkust" )
	--compositionkust:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	
	-- Layer layer_kyst2_1.png/7
	element = CreateCompositionElement(PREFIX_PATH.."layer_kyst2_1.png")
	element:setName("layer_kyst2_1.png/7")
	compositionkust:addElement(element)
	element:setHotSpot(33.5, 4.5)
	element:setParentElement(compositionkust)
	element:setXY(228.5, 622.5)
 
	element:setScale(-0.744291,0.81396222733305)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.46403902234643)
	effector:setKey(_TRACK_A, 0.95833333333333, -0.49730725601477)
	effector:setKey(_TRACK_A, 1.5, -0.42841104511135)
	effector:setKey(_TRACK_A, 1.91666666666667, -0.43668308933066)
	effector:setKey(_TRACK_A, 2.41666666666667, -0.34318799927994)
	effector:setKey(_TRACK_A, 3.125, -0.27519740022844)
	effector:setKey(_TRACK_A, 4.04166666666667, -0.43139186088117)
	effector:setKey(_TRACK_A, 4.58333333333333, -0.38395663065976)
	effector:setKey(_TRACK_A, 4.875, -0.40209859734868)
	effector:setKey(_TRACK_A, 5.5, -0.3407013536158)
	effector:setKey(_TRACK_A, 5.83333333333333, -0.35193341300326)
	effector:setKey(_TRACK_A, 6.41666666666667, -0.26899176123264)
	effector:setKey(_TRACK_A, 7.08333333333333, -0.41206185099953)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.46403902234643)
	effector:play()
 
 
	-- Layer layer_kyst2_1.png/8
	element = CreateCompositionElement(PREFIX_PATH.."layer_kyst2_1.png")
	element:setName("layer_kyst2_1.png/8")
	compositionkust:addElement(element)
	element:setHotSpot(33.5, 4.5)
	element:setParentElement(compositionkust)
	element:setXY(137.5, 645.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.46403902234643)
	effector:setKey(_TRACK_A, 0.875, -0.41206185099953)
	effector:setKey(_TRACK_A, 1.54166666666667, -0.26899176123264)
	effector:setKey(_TRACK_A, 2.125, -0.35193341300326)
	effector:setKey(_TRACK_A, 2.45833333333333, -0.3407013536158)
	effector:setKey(_TRACK_A, 3.08333333333333, -0.40209859734868)
	effector:setKey(_TRACK_A, 3.375, -0.38395663065976)
	effector:setKey(_TRACK_A, 3.91666666666667, -0.43139186088117)
	effector:setKey(_TRACK_A, 4.83333333333333, -0.27519740022844)
	effector:setKey(_TRACK_A, 5.54166666666667, -0.34318799927994)
	effector:setKey(_TRACK_A, 6.04166666666667, -0.43668308933066)
	effector:setKey(_TRACK_A, 6.45833333333333, -0.42841104511135)
	effector:setKey(_TRACK_A, 7, -0.49730725601477)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.46403902234643)
	effector:play() 
 
	-- Layer layer_kyst2_2.png/10
	element = CreateCompositionElement(PREFIX_PATH.."layer_kyst2_2.png")
	element:setName("layer_kyst2_2.png/10")
	compositionkust:addElement(element)
	element:setHotSpot(24.5, 5.5)
	element:setParentElement(compositionkust)
	element:setXY(13.5, 622.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -1.01903065963143)
	effector:setKey(_TRACK_A, 0.75, -0.87125582484375)
	effector:setKey(_TRACK_A, 0.95833333333333, -0.83586691800035)
	effector:setKey(_TRACK_A, 1.58333333333333, -0.9424148461738)
	effector:setKey(_TRACK_A, 1.91666666666667, -0.89955344185776)
	effector:setKey(_TRACK_A, 2.5, -0.94852923505351)
	effector:setKey(_TRACK_A, 2.91666666666667, -0.89760378355431)
	effector:setKey(_TRACK_A, 3.58333333333333, -0.97738037687895)
	effector:setKey(_TRACK_A, 4.25, -0.87740583619468)
	effector:setKey(_TRACK_A, 5.5, -0.96023941793593)
	effector:setKey(_TRACK_A, 7.95833333333333, -1.01903065963143)
	effector:play()
 
 
	-- Layer layer_kyst2_2.png/11
	element = CreateCompositionElement(PREFIX_PATH.."layer_kyst2_2.png")
	element:setName("layer_kyst2_2.png/11")
	compositionkust:addElement(element)
	element:setHotSpot(24.5, 5.5)
	element:setParentElement(compositionkust)
	element:setXY(52.5, 574.5)
 
	element:setScale(-0.620418,0.60205892504991)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -1.01903065963143)
	effector:setKey(_TRACK_A, 2.45833333333333, -0.96023941793593)
	effector:setKey(_TRACK_A, 3.70833333333333, -0.87740583619468)
	effector:setKey(_TRACK_A, 4.375, -0.97738037687895)
	effector:setKey(_TRACK_A, 5.04166666666667, -0.89760378355431)
	effector:setKey(_TRACK_A, 5.45833333333333, -0.94852923505351)
	effector:setKey(_TRACK_A, 6.04166666666667, -0.89955344185776)
	effector:setKey(_TRACK_A, 6.375, -0.9424148461738)
	effector:setKey(_TRACK_A, 7, -0.83586691800035)
	effector:setKey(_TRACK_A, 7.20833333333333, -0.87125582484375)
	effector:setKey(_TRACK_A, 7.95833333333333, -1.01903065963143)
	effector:play()
 
 
	-- Layer layer_kyst2_3.png/12
	element = CreateCompositionElement(PREFIX_PATH.."layer_kyst2_3.png")
	element:setName("layer_kyst2_3.png/12")
	compositionkust:addElement(element)
	element:setHotSpot(5.5, 7.5)
	element:setParentElement(compositionkust)
	element:setXY(285, 703)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.84137418490909)
	effector:setKey(_TRACK_A, 0.16666666666667, -0.78712564309308)
	effector:setKey(_TRACK_A, 0.25, -0.75525957953539)
	effector:setKey(_TRACK_A, 1.08333333333333, -0.82820583912601)
	effector:setKey(_TRACK_A, 2.41666666666667, -0.68706316496493)
	effector:setKey(_TRACK_A, 3.08333333333333, -0.78005327346385)
	effector:setKey(_TRACK_A, 3.54166666666667, -0.72262066367343)
	effector:setKey(_TRACK_A, 4.20833333333333, -0.81861452271953)
	effector:setKey(_TRACK_A, 4.66666666666667, -0.78670079803015)
	effector:setKey(_TRACK_A, 6.29166666666667, -0.71352387885038)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.84137418490909)
	effector:play()
 
	compositionkust:play()
 
	return compositionkust
end
 
createCompositionRain = function()
	local compositionRain = CreateCompositionSequence()
	local compositionDuration = 8
	compositionRain:setDuration(compositionDuration)
	compositionRain:setName("compositionRain" )
	compositionRain:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer rain.png/1
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/1")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.890625,2.2)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(5.875, 6.625)
	effector:setKey(_TRACK_X, 6.04166666666667, 397)
	effector:setKey(_TRACK_Y, 6.04166666666667, -88)
	effector:setKey(_TRACK_X, 6.54166666666667, 325)
	effector:setKey(_TRACK_Y, 6.54166666666667, 443.5)
	effector:setKey(_TRACK_O, 6.5, 0.35)
	effector:setKey(_TRACK_O, 6.58333333333333, 0)
	effector:play()
 
 
	-- Layer k[1-6].png/2
	element = CreateCompositionElement(PREFIX_PATH.."k[].png")
	element:setName("k[1-6].png/2")
	compositionRain:addElement(element)
	element:setHotSpot(27, 26)
	element:setParentElement(compositionRain)
	element:setXY(320, 462)
 
					local anim = element
					anim:setAnimationSize(54,52)
					anim:setFramesCount(6)
					anim:setFPS(9)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(6.45833333333333, 7.125)
	effector:setKey(_TRACK_O, 6.91666666666667, 0.85)
	effector:setKey(_TRACK_O, 7.125, 0)
	effector:play()
 
 
	-- Layer newplesk_[00014-00021].png/3
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00014-00021].png/3")
	compositionRain:addElement(element)
	element:setHotSpot(37, 13.5)
	element:setParentElement(compositionRain)
	element:setXY(319.5, 472)
 
	element:setOpacity(0.35)
					local anim = element
					anim:setAnimationSize(74,27)
					anim:setFramesCount(8)
					anim:setFPS(8)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(6.45833333333333, 7.45833333333333)
	effector:play()
 
 
	-- Layer rain.png/4
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/4")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.7125,1.76)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(0.625, 1.91666666666667)
	effector:setKey(_TRACK_X, 0.625, 1136)
	effector:setKey(_TRACK_Y, 0.625, -443)
	effector:setKey(_TRACK_X, 1.875, 827)
	effector:setKey(_TRACK_Y, 1.875, 401.5)
	effector:setKey(_TRACK_O, 1.45833333333333, 0)
	effector:setKey(_TRACK_O, 1.58333333333333, 0.2)
	effector:setKey(_TRACK_O, 1.83333333333333, 0.35)
	effector:setKey(_TRACK_O, 1.91666666666667, 0)
	effector:play()
 
 
	-- Layer rain.png/5
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/5")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.85419034090909,2.11)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(5.125, 5.875)
	effector:setKey(_TRACK_X, 5.125, 1136)
	effector:setKey(_TRACK_Y, 5.125, -443)
	effector:setKey(_TRACK_X, 5.79166666666667, 890)
	effector:setKey(_TRACK_Y, 5.79166666666667, 491.5)
	effector:setKey(_TRACK_O, 5.75, 0.5)
	effector:setKey(_TRACK_O, 5.83333333333333, 0)
	effector:play()
 
 
	-- Layer rain.png/6
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/6")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.890625,2.2)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(4.16666666666667, 4.91666666666667)
	effector:setKey(_TRACK_X, 4.16666666666667, 881)
	effector:setKey(_TRACK_Y, 4.16666666666667, -293)
	effector:setKey(_TRACK_X, 4.83333333333333, 635)
	effector:setKey(_TRACK_Y, 4.83333333333333, 641.5)
	effector:setKey(_TRACK_O, 4.79166666666667, 0.5)
	effector:setKey(_TRACK_O, 4.875, 0)
	effector:play()
 
 
	-- Layer k[1-6].png/7
	element = CreateCompositionElement(PREFIX_PATH.."k[].png")
	element:setName("k[1-6].png/7")
	compositionRain:addElement(element)
	element:setHotSpot(27, 26)
	element:setParentElement(compositionRain)
	element:setXY(632, 664)
 
					local anim = element
					anim:setAnimationSize(54,52)
					anim:setFramesCount(6)
					anim:setFPS(9)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(4.79166666666667, 5.45833333333333)
	effector:setKey(_TRACK_O, 5.25, 0.85)
	effector:setKey(_TRACK_O, 5.45833333333333, 0)
	effector:play()
 
 
	-- Layer rain.png/8
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/8")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.890625,2.2)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(1.79166666666667, 2.54166666666667)
	effector:setKey(_TRACK_X, 1.79166666666667, 221)
	effector:setKey(_TRACK_Y, 1.79166666666667, -67)
	effector:setKey(_TRACK_X, 2.45833333333333, 125)
	effector:setKey(_TRACK_Y, 2.45833333333333, 387.5)
	effector:setKey(_TRACK_O, 2.41666666666667, 0.5)
	effector:setKey(_TRACK_O, 2.5, 0)
	effector:play()
 
 
	-- Layer k[1-6].png/9
	element = CreateCompositionElement(PREFIX_PATH.."k[].png")
	element:setName("k[1-6].png/9")
	compositionRain:addElement(element)
	element:setHotSpot(27, 26)
	element:setParentElement(compositionRain)
	element:setXY(124, 384)
 
					local anim = element
					anim:setAnimationSize(54,52)
					anim:setFramesCount(6)
					anim:setFPS(9)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(2.41666666666667, 3.08333333333333)
	effector:setKey(_TRACK_O, 2.41666666666667, 0.85)
	effector:setKey(_TRACK_O, 2.875, 0.85)
	effector:play()
 
 
	-- Layer rain.png/10
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/10")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.890625,2.2)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(3.08333333333333, 3.83333333333333)
	effector:setKey(_TRACK_X, 3.08333333333333, 156)
	effector:setKey(_TRACK_Y, 3.08333333333333, -68)
	effector:setKey(_TRACK_X, 3.75, 84)
	effector:setKey(_TRACK_Y, 3.75, 463.5)
	effector:setKey(_TRACK_O, 3.70833333333333, 0.5)
	effector:setKey(_TRACK_O, 3.79166666666667, 0)
	effector:play()
 
 
	-- Layer k[1-6].png/11
	element = CreateCompositionElement(PREFIX_PATH.."k[].png")
	element:setName("k[1-6].png/11")
	compositionRain:addElement(element)
	element:setHotSpot(27, 26)
	element:setParentElement(compositionRain)
	element:setXY(78, 480)
 
					local anim = element
					anim:setAnimationSize(54,52)
					anim:setFramesCount(6)
					anim:setFPS(9)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(3.66666666666667, 4.33333333333333)
	effector:setKey(_TRACK_O, 4.125, 0.85)
	effector:setKey(_TRACK_O, 4.33333333333333, 0)
	effector:play()
 
 
	-- Layer newplesk_[00014-00021].png/12
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00014-00021].png/12")
	compositionRain:addElement(element)
	element:setHotSpot(37, 13.5)
	element:setParentElement(compositionRain)
	element:setXY(77.5, 490)
 
	element:setOpacity(0.35)
					local anim = element
					anim:setAnimationSize(74,27)
					anim:setFramesCount(8)
					anim:setFPS(8)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(3.66666666666667, 4.66666666666667)
	effector:play()
 
 
	-- Layer rain.png/13
	element = CreateCompositionElement(PREFIX_PATH.."rain.png")
	element:setName("rain.png/13")
	compositionRain:addElement(element)
	element:setHotSpot(5, 14)
	element:setParentElement(compositionRain)
	element:setScale(0.890625,2.2)
	element:setRotationRad(0.20943951)
 
	effector = element:getEffector()
	effector:setLifeTime(0.29166666666667, 1.04166666666667)
	effector:setKey(_TRACK_X, 0.29166666666667, 323)
	effector:setKey(_TRACK_Y, 0.29166666666667, -50)
	effector:setKey(_TRACK_X, 0.95833333333333, 251)
	effector:setKey(_TRACK_Y, 0.95833333333333, 481.5)
	effector:setKey(_TRACK_O, 0.91666666666667, 0.5)
	effector:setKey(_TRACK_O, 1, 0)
	effector:play()
 
 
	-- Layer k[1-6].png/14
	element = CreateCompositionElement(PREFIX_PATH.."k[].png")
	element:setName("k[1-6].png/14")
	compositionRain:addElement(element)
	element:setHotSpot(27, 26)
	element:setParentElement(compositionRain)
	element:setXY(244, 495)
 
					local anim = element
					anim:setAnimationSize(54,52)
					anim:setFramesCount(6)
					anim:setFPS(9)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.875, 1.54166666666667)
	effector:setKey(_TRACK_O, 0.875, 0.85)
	effector:setKey(_TRACK_O, 1.33333333333333, 0.85)
	effector:play()
 
 
	-- Layer newplesk_[00014-00021].png/15
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00014-00021].png/15")
	compositionRain:addElement(element)
	element:setHotSpot(37, 13.5)
	element:setParentElement(compositionRain)
	element:setXY(243.5, 505)
 
	element:setOpacity(0.35)
					local anim = element
					anim:setAnimationSize(74,27)
					anim:setFramesCount(8)
					anim:setFPS(8)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.875, 1.875)
	effector:play()
 
	compositionRain:play()
 
	return compositionRain
end